/* Inclusion du fichier de description du processeur : ports PORTA et DDRA */
include <hc11.h>

/* Fonction tempo, definie plus loin */
void tempo(int cnt);

int main(void)
{
   /* On active les interruptions */
   asm("cli");
   /* On configure tous les bits de PORTA en sortie */
   DDRA=0xFF;
   /* On initialise la valeur de PORTA */
   PORTA=0x1;
   
   /* Boucle infinie */
   while(1)
   { 
      /* Si on est arrive a 128, on repart a 1 */
      if(PORTA==0x80) PORTA=0x1;
      /* Sinon, on multiplie par 2 a chaque fois */
      else PORTA = PORTA * 2;
      /* Petite attente */
      tempo(0x8000);
   }
   return 0;
}

/* Fonction permettant d'attendre un certain temps */
void tempo(int cnt)
{
  for ( ; cnt != 0; cnt--) ;
}
