PORTA 	= $1000		
DDRA 	= $1001
	.area text
Init: 	lds #$7FFF	; Initialise stack pointer SP<-$7FFF
	cli 		; on autorise les interruptions pour le dbogueur
	ldaa #$FF	; A<-$FF  --  Adressage immdiat
	staa DDRA 	; Port A positionn en sortie Store Accumulateur A->M
main: 	ldaa #1		; A<-1    --  Adressage immdiat
Boucle: cmpa #$80	; Comparaison (A - $80) -- Adressage immdiat
	bne else	; Branchement si != 0  else
	ldaa #1		; A<-1    --  Adressage immdiat
	bra finsi	; Branchement inconditionnel  finsi
else: 	lsla		; Logical shift left A
finsi: 	staa PORTA	; Sauvegarde A<-PORTA -- Adressage tendu
	bsr Tempo	; Branchement to subroutine
	bra Boucle	; Branchement inconditionnel  Boucle
Tempo: 	pshx		; Stack<-X
	ldx #$8000	; X<-$8000 -- Adressage immdiat
Wait: 	dex		; Decrement index register X
	bne Wait	; Branchement si != 0  Wait
	pulx		; Pull X from Stack X<-Stack
	rts		; Return from subroutine